newEntity{ base = "BASE_INFUSION",
	name = "mindhook infusion",
	level_range = {15, 50},
	rarity = 16,
	cost = 10,
	material_level = 1,

	inscription_kind = "utility",
	inscription_data = {
		cooldown = resolvers.rngrange(8, 10),
		range = resolvers.mbonus_level(10, 5, function(e, v) return v * 1 end),
		use_stat_mod = 0.07,
	},
	inscription_talent = "INFUSION:_MINDHOOK",
}

newEntity{ base = "BASE_INFUSION",
	name = "quickness infusion",
	level_range = {10, 50},
	rarity = 15,
	cost = 20,
	material_level = 2,

	inscription_kind = "movement",
	inscription_data = {
		cooldown = resolvers.rngrange(10, 15),
		dur = resolvers.mbonus_level(5, 4, function(e, v) return v * 1 end),
		speed = resolvers.mbonus_level(300, 100, function(e, v) return v * 0.001 end),
		use_stat_mod = 3,
	},
	inscription_talent = "INFUSION:_QUICKNESS",
}

newEntity{ base = "BASE_INFUSION",
	name = "sensing infusion",
	level_range = {15, 50},
	rarity = 15,
	cost = 10,
	material_level = 1,

	inscription_kind = "utility",
	inscription_data = {
		cooldown = resolvers.rngrange(12, 17),
		dur = resolvers.mbonus_level(5, 4, function(e, v) return v * 1 end),
		rad = resolvers.mbonus_level(15, 7, function(e, v) return v * 1 end),
		use_stat_mod = 0.07,
	},
	inscription_talent = "INFUSION:_SENSING",
}

newEntity{ base = "BASE_INFUSION",
	name = "recovery infusion",
	level_range = {20, 50},
	rarity = 16,
	cost = 10,
	material_level = 2,

	inscription_kind = "heal",
	inscription_data = {
		cooldown = resolvers.rngrange(15, 20),
		dur = 10,
		heal = resolvers.mbonus_level(850, 10, function(e, v) return v * 0.09 end),
		use_stat_mod = 5.5,
	},
	inscription_talent = "INFUSION:_REGENERATION",
}

newEntity{ base = "BASE_INFUSION",
	name = "leap infusion",
	level_range = {17, 50},
	rarity = 13,
	cost = 10,
	material_level = 1,

	inscription_kind = "utility",
	inscription_data = {
		cooldown = resolvers.rngrange(9, 12),
		range = resolvers.mbonus_level(8, 5, function(e, v) return v * 1 end),
		use_stat_mod = 0.07,
	},
	inscription_talent = "INFUSION:_LEAP",
}
